Subject: Re: [PATCH v3 3/4] daemon: use sigaction() to install child_handler()

From: Junio C Hamano <[email-masked]>
Date: Mon, 07 Jul 2025 15:14:05 -0700

Phillip Wood <[email-masked]> writes:

> The counter argument to this is that it is masking bugs that happen on
> platforms without SA_RESTART.

As long as we can make the thing work correctly without SA_RESTART
even on platforms that do support SA_RESTART, I tend to agree with
that position.

Thanks.